The SiteDataTableComponent is a PrimeNG Component which provides a DataTable to display dotCMS Host/Folder Navigation The Component is Supscribed to the SiteBrowserState to monitor when Folders and Site changes occur In additiont to this it will respond to dragging Files and Folders from the local filesystem and upload them to dotCMS The SiteDataTableComponent is able to display Treeable assets

### Hierarchy

- SiteDatatableComponent

## Index

### Constructors

- constructor

### Properties

- dotCMSURL
- fsService
- log
- messageService
- settingsStorageService
- siteBrowserService
- siteName
- subscription
- treeables
- updateService

### Methods

- doubleClick
- handleDragOver
- handleDrop
- loadFolder
- loadSite
- selectTreeable

## Constructors

### constructor

- new SiteDatatableComponent(updateService: SiteBrowserState, fsService: FileSystemService, log: LoggerService, siteBrowserService: SiteBrowserService, settingsStorageService: SettingsStorageService, messageService: NotificationService): SiteDatatableComponent

- - Defined in components/site-datatable/site-datatable.component.ts:30

  #### Parameters

  - ##### updateService: SiteBrowserState

  - ##### fsService: FileSystemService

  - ##### log: LoggerService

  - ##### siteBrowserService: SiteBrowserService

  - ##### settingsStorageService: SettingsStorageService

  - ##### messageService: NotificationService

  #### Returns SiteDatatableComponent

## Properties

### dotCMSURL

dotCMSURL: string = ""

- Defined in components/site-datatable/site-datatable.component.ts:27

### Private fsService

fsService: FileSystemService

- Defined in components/site-datatable/site-datatable.component.ts:33

### Private log

log: LoggerService

- Defined in components/site-datatable/site-datatable.component.ts:34

### Private messageService

messageService: NotificationService

- Defined in components/site-datatable/site-datatable.component.ts:37

### Private settingsStorageService

settingsStorageService: SettingsStorageService

- Defined in components/site-datatable/site-datatable.component.ts:36

### Private siteBrowserService

siteBrowserService: SiteBrowserService

- Defined in components/site-datatable/site-datatable.component.ts:35

### siteName

siteName: string = ""

- Defined in components/site-datatable/site-datatable.component.ts:28

### subscription

subscription: Subscription

- Defined in components/site-datatable/site-datatable.component.ts:30

### treeables

treeables: Treeable[]

- Defined in components/site-datatable/site-datatable.component.ts:29

### Private updateService

updateService: SiteBrowserState

- Defined in components/site-datatable/site-datatable.component.ts:32

## Methods

### doubleClick

- doubleClick(event: any): void

- - Defined in components/site-datatable/site-datatable.component.ts:67

  Listens to the double click event. If the row clicked is a folder the SiteBrowserState will be called to change the folder. This will cause this component to load the new folder and of course anyone else subscribed to the SiteBrowserState folder state

  #### Parameters

  - ##### event: any

  #### Returns void

### handleDragOver

- handleDragOver(e: any): void

- - Defined in components/site-datatable/site-datatable.component.ts:111

  #### Parameters

  - ##### e: any

  #### Returns void

### handleDrop

- handleDrop(e: any): boolean

- - Defined in components/site-datatable/site-datatable.component.ts:120

  Deals with the drop of 1 to many files and folders from the filesystem

  #### Parameters

  - ##### e: any

  #### Returns boolean

### loadFolder

- loadFolder(uri: string): void

- - Defined in components/site-datatable/site-datatable.component.ts:94

  This function is called when the SiteBrowserState uri is changed

  #### Parameters

  - ##### uri: string

  #### Returns void

### loadSite

- loadSite(siteName: string): void

- - Defined in components/site-datatable/site-datatable.component.ts:104

  This function is called when the SiteBrowserState Site is changed

  #### Parameters

  - ##### siteName: string

  #### Returns void

### selectTreeable

- selectTreeable(event: any): void

- - Defined in components/site-datatable/site-datatable.component.ts:86

  On single click of a row this function will update the SiteBrowserState selected Treeable

  #### Parameters

  - ##### event: any

  #### Returns void

Generated using TypeDoc